
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">


	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
		<title>Resultado do cálculo</title>
		<link rel="stylesheet" type="text/css" href="resultado.css">
		<link rel="icon" type="image/jpg" href="images/logosouzamafraori.png" />		
	</head>

	<body>

		<?php
			$cx = mysqli_connect("127.0.0.1", "root", "");
			$db = mysqli_select_db($cx, "cmcalcdesk");
			$operacao=trim($_GET['operacao']);
			mysqli_set_charset($cx,"utf8");
			
			$sql = mysqli_query($cx, "SELECT
				prestacaonumero,
				descricao as descricao,
				saldo as somasaldo,
				jurosnaopagoatualizado as somajurosnaopagoatualizado,
				diferencaatualizada as somadiferencaatualizada,
				DATE_FORMAT(prestacaovcto, '%d/%m/%Y') as prestacaovcto,
				FORMAT(seguro,2,'de_DE') as seguro,
				FORMAT(prestacaovalor,2,'de_DE') as prestacaovalor,
				FORMAT(encargomensal,2,'de_DE') as encargomensal,
				FORMAT(PES,4,'de_DE') as PES,
				FORMAT(correcaoindice,6,'de_DE') as correcaoindice,
				FORMAT(correcaovalor,2,'de_DE') as correcaovalor,
				FORMAT(juros,2,'de_DE') as juros,
				FORMAT(encargonovcto,2,'de_DE') as encargonovcto,
				FORMAT(valoramortizado,2,'de_DE') as valoramortizado,
				FORMAT(saldo,2,'de_DE') as saldo,
				FORMAT(jurosnaopago,2,'de_DE') as jurosnaopago,
				FORMAT(jurosnaopagoatualizado,2,'de_DE') as jurosnaopagoatualizado,
				DATE_FORMAT(datapgto, '%d/%m/%Y') as datapgto,
				FORMAT(encargopago,2,'de_DE') as encargopago,
				FORMAT(encargodevido,2,'de_DE') as encargodevido,
				FORMAT(diferenca,2,'de_DE') as diferenca,
				FORMAT(diferencaatualizada,2,'de_DE') as diferencaatualizada,

				FORMAT(diferencaprestacaoatualizada,2,'de_DE') as diferencaprestacaoatualizada,
				FORMAT(encargodevidoatualizado,2,'de_DE') as encargodevidoatualizado,
				FORMAT(diferencaprestacaodias,0,'de_DE') as diferencaprestacaodias,
				FORMAT(diferencaprestacaojuros,2,'de_DE') as diferencaprestacaojuros,
				FORMAT(diferencaprestacaomora,2,'de_DE') as diferencaprestacaomora,

				plano,
				operacao_id
				FROM resultado where operacao_id = ".$operacao) or die( 
			  mysqli_error($cx) //caso haja um erro na consulta 
			);
			
			
			
			$totais = mysqli_query($cx, "SELECT
				FORMAT(sum(encargodevidoatualizado),2,'de_DE') as somaencargodevidoatualizadoformatado,
				sum(encargodevidoatualizado) as somaencargodevidoatualizado
				FROM resultado where operacao_id = ".$operacao) or die( 
			  mysqli_error($cx) //caso haja um erro na consulta 
			);
			
			$mostrarTotais = mysqli_fetch_assoc($totais);
			$somaencargos = $mostrarTotais['somaencargodevidoatualizado'];
			
			
			
			$tabela = '';
			while($aux = mysqli_fetch_assoc($sql)) { 
				$tabela .= '<tr>'; // abre uma linha
				$tabela .= '<td align="Center">'.$aux['prestacaonumero'].'</td>';
				$tabela .= '<td align="Center">'.$aux['prestacaovcto'].'</td>';
				$tabela .= '<td align="Right">'.$aux['encargopago'].'</td>';
				$tabela .= '<td align="Right">'.$aux['seguro'].'</td>';
				$tabela .= '<td align="Right">'.$aux['prestacaovalor'].'</td>';
				$tabela .= '<td align="Right">'.$aux['encargomensal'].'</td>';
				$tabela .= '<td align="Right">'.$aux['PES'].'</td>';
				$tabela .= '<td align="Right">'.$aux['correcaoindice'].'</td>';
				$tabela .= '<td align="Right">'.$aux['correcaovalor'].'</td>';
				$tabela .= '<td align="Right">'.$aux['juros'].'</td>';
				$tabela .= '<td align="Right">'.$aux['valoramortizado'].'</td>';
				$tabela .= '<td align="Right">'.$aux['saldo'].'</td>';
				$tabela .= '<td align="Center">'.$aux['diferencaprestacaodias'].'</td>';
				$tabela .= '<td align="Right">'.$aux['diferencaprestacaoatualizada'].'</td>';
				$tabela .= '<td align="Right">'.$aux['diferencaprestacaojuros'].'</td>';
				$tabela .= '<td align="Right">'.$aux['diferencaprestacaomora'].'</td>';
				$tabela .= '<td align="Right">'.$aux['encargodevidoatualizado'].'</td>';
				$tabela .= '</tr>'; // fecha linha
				$saldoresidual = $aux['somasaldo'];
			}
		?>
	
		<div>
			<img src="images/LogoSouzaMafraOri.png" alt="logo" width="10%"><a href=""></a>
			</br>
			<h1>EVOLUÇÃO DO SALDO RESIDUAL</h1>
		</div>


		<div class="cabecalho">
			<?php
				$sql = mysqli_query($cx, "SELECT
					DATE_FORMAT(operacoes.datacontrato, '%d/%m/%Y') as datacontrato,
					DATE_FORMAT(datalimitepoupanca, '%d/%m/%Y') as datalimitepoupanca,
					FORMAT(operacoes.qtdparcelas,0,'de_DE') as qtdparcelas,
					FORMAT(operacoes.prazo,0,'de_DE') as prazo,
					FORMAT(operacoes.pesdias,0,'de_DE') as pesdias,
					FORMAT(operacoes.SaldoFinal,2,'de_DE') as saldoFinal,
					FORMAT(operacoes.ces,2,'de_DE') as ces,
					FORMAT(operacoes.jurosantes,4,'de_DE') as jurosantes,
					FORMAT(operacoes.txmora,4,'de_DE') as txmora,
					FORMAT(operacoes.txmulta,4,'de_DE') as txmulta,
					FORMAT(operacoes.seguro,2,'de_DE') as seguro,
					FORMAT(operacoes.saldodevedor,2,'de_DE') as saldodevedor,
					operacoes.observacao as observacao,
					operacoes.id as id,
					operacoes.metodologia as metodologia,
					clientes.cpfcgc as cpfcgc,
					clientes.nome as nome
					FROM operacoes
					LEFT join clientes ON clientes.id = operacoes.cliente_id
					WHERE operacoes.id = ".$operacao)
					or die(mysqli_error($cx) //caso haja um erro na consulta 
				);

				$aux = mysqli_fetch_assoc($sql);

                    if ($aux['metodologia'] == '1') {
					   $metodologia = 'TABELA PRICE';
					} else {
					   $metodologia = 'MÉTODO DE GAUSS';
					}

					echo '<p align="Left">Código do Cliente: '.$aux['cpfcgc'].'</p>';
					echo '<p align="Left">Nome do Cliente: '.$aux['nome'].'</p>';
					echo '<p align="Left">Data 1ª Prestação: '.$aux['datacontrato'].'</p>';
					echo '<p align="Left">Qtd Parcelas: '.$aux['qtdparcelas'].'</p>';
					echo '<p align="Left">Prazo Contratual: '.$aux['prazo'].'</p>';
					echo '<p align="Left">PES Dias: '.$aux['pesdias'].'</p>';
					echo '<p align="Left">CES %: '.$aux['ces'].'</p>';
					echo '<p align="Left">Taxa de Juros a.a: '.$aux['jurosantes'].'</p>';
					echo '<p align="Left">Taxa de Mora a.m: '.$aux['txmora'].'</p>';
					echo '<p align="Left">Taxa de Multa: '.$aux['txmulta'].'</p>';
					echo '<p align="Left">Valor Seguro: '.$aux['seguro'].'</p>';
					echo '<p align="Left">Saldo Inicial: '.$aux['saldodevedor'].'</p>';
					echo '<p align="Left">Observação: '.$aux['observacao'].'</p>';
					echo '<p strong align="Left">Posição em '.$aux['datalimitepoupanca'].'</p>';
//					echo '<p strong align="Left">Posição em '.strftime( '%d/%m/%Y', strtotime('today')).'</p>';
					echo '<br>';
			?>
		</div>


		<table>
			<thead>
				<tr>
					<th id="sem_bottom" align="Center">Nº</th>
					<th id="sem_bottom" align="Center">Data</th>
					<th id="sem_bottom" align="Right">Valor</th>
					<th id="sem_bottom" align="Right">Valor</th>
					<th id="sem_bottom" align="Right">Valor</th>
					<th id="sem_bottom" align="Right">Encargo</th>
					<th id="sem_bottom" align="Right">PES</th>
					<th id="sem_bottom" align="Right">Índice</th>
					<th id="sem_bottom" align="Right">Valor</th>
					<th id="sem_bottom" align="Right">valor</th>
					<th id="sem_bottom" align="Right">valor</th>
					<th id="sem_bottom" align="Right">Saldo</th>

					<th id="sem_bottom" align="Center">Diferenca</th>
					<th id="sem_bottom" align="Right">Encargo</th>
					<th id="sem_bottom" align="Right">Encargo</th>
					<th id="sem_bottom" align="Right">Encargo</th>
					<th id="sem_bottom" align="Right">Encargo</th>
				</tr>
				<tr>
					<th id="sem_top"></th>
					<th id="sem_top" align="Center">Vcto</th>
					<th id="sem_top" align="Right">Pago</th>
					<th id="sem_top" align="Right">Seguro</th>
					<th id="sem_top" align="Right">Prestação</th>
					<th id="sem_top" align="Right">Mensal</th>
					<th id="sem_top" align="Right">%</th>
					<th id="sem_top" align="Right">Correção</th>
					<th id="sem_top" align="Right">Correção</th>
					<th id="sem_top" align="Right">Juros</th>
					<th id="sem_top" align="Right">Amortizado</th>
					<th id="sem_top" align="Right">(-) Amortização</th>
					
					<th id="sem_top" align="Center">Dias</th>
					<th id="sem_top" align="Right">Corrigido</th>
					<th id="sem_top" align="Right">Juros</th>
					<th id="sem_top" align="Right">Mora</th>
					<th id="sem_top" align="Right">Atualizado</th>
				</tr>
			</thead>

			<tbody>
				<?php
					echo '<h2 strong align="Left">Saldo Atualizado R$: '.number_format($saldoresidual, 2, ',', '.').'</h2>';
					echo '<h2 strong align="Left">Encargo em aberto Atualizado R$: '.number_format($somaencargos, 2, ',', '.').'</h2>';
					echo '<h2 strong align="Left">Saldo Total Atualizado R$: '.number_format($saldoresidual+$somaencargos, 2, ',', '.').'</h2>';

					echo '<h2 strong align="Left">Sistema de Amortização: '.$metodologia.'</h2>';

					echo $tabela; // imprime
				?>
			</tbody>

			<tfoot>
				<tr>
					<td colspan="13" style="border: hidden;">
						<h5 align="left">CMCalcDesk 1.0 - Desenvolvido por Souza Mafra Consultoria - © Copyright 2019 - All Rights Reserved</h5>
					</td>
				</tr>
			</tfoot>			



						
		</table>
	</body>
</html>
